subdirs(summator_v2
	matrix_splitter
	wbst_results_optimizer
	wbst
	matrixconv
	vector_extractor
	filtrator
	tmp
	remove_zeros
	similarity_results_labeler
	txt2sm
	architect_runner
	matrix_multiplier
	mean_median
	value_histogram
	group_filter_matrix
	wbst_simfunction_tester
	svd_runner
	sm2st
	matrix_weighter
	svd_mega_tool
	quantify
	clustering
	crs_ranker
	wbst_meta_results_optimizer
	matrix_sampler
	matrix_labelsubset
	matrix_groupedboundary_builder
	sum_flex
	ClutoConv
	feature_outliers_remover
	filtrator2
	keywords
	)


if(Mysql++_FOUND)
	add_subdirectory(kbestd)
endif(Mysql++_FOUND)

if(CORPUS_FOUND AND PoliqarpReader_FOUND)
	add_subdirectory(long_sentences)
	add_subdirectory(architect)
	add_subdirectory(domain_labeler)
endif(CORPUS_FOUND AND PoliqarpReader_FOUND)

if(Corpus2_LIBRARY)
	add_subdirectory(architect2)
	add_subdirectory(libnerreader)
	add_subdirectory(wsd_reader)
	add_subdirectory(pseudo_reader)
endif(Corpus2_LIBRARY)
